> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Sim To Real

> Queue a sim-to-real validation run.



## OpenAPI

````yaml /openapi.json post /v1/validate/sim-to-real
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/validate/sim-to-real:
    post:
      tags:
        - validation
      summary: Validate Sim To Real
      description: Queue a sim-to-real validation run.
      operationId: validate_sim_to_real_v1_validate_sim_to_real_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateSimToRealRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ValidateSimToRealRequest:
      properties:
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        reference_dataset_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Reference Dataset Id
        options:
          anyOf:
            - type: object
            - type: 'null'
          title: Options
      type: object
      required:
        - dataset_id
      title: ValidateSimToRealRequest
    ValidateResponse:
      properties:
        run_id:
          type: string
          format: uuid
          title: Run Id
        status:
          type: string
          title: Status
          default: queued
      type: object
      required:
        - run_id
      title: ValidateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````